#!/bin/sh

#
# festival_client.sh - (C)1998 J. Lemmens
#
# This script puts the standard input through to the festival_client.
# It is supposed that before using this script the festival server
# is started by the following command:
#
#    festival --server &
#
# Festival Speech Synthesis System
# Copyright (C) University of Edinburgh, 1996,1997. All rights reserved.
#

if [ ! `pidof festival` ]; then
   echo "the festival server is not running." | festival --tts
   exit 1
fi  

TMP=/tmp/festival_client.$$
echo -n \(SayText \" > $TMP
cat >> $TMP
echo \"\) >> $TMP
festival_client $TMP
rm -f $TMP
